package org.rcisoft.bus.ossinfo.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
@Data
@TableName("oss_info")
public class OssInfo extends CyIdIncreEntity<OssInfo> {
    @Excel(name = "bucket", orderNum = "0", width = 20)
    private String bucket;
    @Excel(name = "path", orderNum = "1", width = 20)
    private String path;
    @Excel(name = "oss_key", orderNum = "2", width = 20)
    private String ossKey;
    @Excel(name = "md5", orderNum = "3", width = 20)
    private String md5;
    @Excel(name = "e_tag", orderNum = "4", width = 20)
    private String eTag;
    @Excel(name = "url", orderNum = "5", width = 20)
    private String url;
    @Excel(name = "filesize", orderNum = "6", width = 20)
    private Integer fileSize;
    @Excel(name = "file_type", orderNum = "7", width = 20)
    private String fileType;
    @Excel(name = "original_name", orderNum = "8", width = 20)
    private String originalName;
    @Excel(name = "to_pdf_url", orderNum = "9", width = 20)
    private String toPdfUrl;

}
