package org.rcisoft.bus.ossinfo.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.ossinfo.entity.OssInfo;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

public interface OssInfoRepository extends CyBaseMapper<OssInfo> {
    List<OssInfo> queryOssInfos(@Param("entity") OssInfo ossInfo);
    IPage<OssInfo> queryOssInfosPaged(CyPageInfo cyPageInfo, @Param("entity") OssInfo ossInfo);
}
